<?php

declare(strict_types=1);

namespace FiloBlu\Storelocator\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;

/**
 *
 */
class Zoomlevel implements ArrayInterface
{
    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        $_return = [];
        $_return[0] = ['value' => null, 'label' => '-'];
        for ($i = 1; $i <= 20; $i++) {
            $_return[$i] = ['value' => $i, 'label' => $i];
        }
        return $_return;
    }

    /**
     * Get options in "key-value" format
     *
     * @return array
     */
    public function toArray()
    {
        $_return = [];
        $_return[0] = '-';
        for ($i = 1; $i <= 20; $i++) {
            $_return[$i] = $i;
        }
        return $_return[$i];
    }
}
